> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ssh Keys



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/ssh_keys/
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/ssh_keys/:
    get:
      tags:
        - SSH Keys
      summary: Get Ssh Keys
      operationId: get_ssh_keys_api_v1_ssh_keys__get
      parameters:
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            default: 0
            title: Offset
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 100
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GenericPaginationResponse_List_APISSHKeyConfig__
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericPaginationResponse_List_APISSHKeyConfig__:
      properties:
        total_count:
          type: integer
          title: Total Count
          description: Total number of items available in the dataset
          default: 0
        offset:
          type: integer
          minimum: 0
          title: Offset
          description: Number of items to skip before starting to collect the result set
          default: 0
        limit:
          type: integer
          minimum: 0
          title: Limit
          description: Maximum number of items to return
          default: 100
        data:
          items:
            $ref: '#/components/schemas/APISSHKeyConfig'
          type: array
          title: Data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      required:
        - data
      title: GenericPaginationResponse[List[APISSHKeyConfig]]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    APISSHKeyConfig:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the SSH key.
        userId:
          type: string
          title: Userid
          description: ID of the user associated with this pod, if applicable.
        name:
          type: string
          title: Name
          description: Name of the SSH key.
        publicKey:
          type: string
          title: Publickey
          description: The public key part of the SSH key.
        isPrimary:
          type: boolean
          title: Isprimary
          description: Whether this SSH key is the primary key.
        isUserKey:
          type: boolean
          title: Isuserkey
          description: Whether this a custom key uploaded by the user.
        createdAt:
          type: string
          format: date-time
          title: Createdat
          description: Timestamp when the SSH key was added.
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
          description: Timestamp when the SSH key was last updated.
      type: object
      required:
        - id
        - userId
        - name
        - publicKey
        - isPrimary
        - isUserKey
      title: APISSHKeyConfig
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````